// run_default.go
//go:build !windows
// +build !windows

package spm

import "fmt"

// RegisterApp is not supported on non-Windows platforms.
func RegisterApp() error {
	return fmt.Errorf("RegisterApp is only available on Windows")
}

// UnregisterApp is not supported on non-Windows platforms.
func UnregisterApp() error {
	return fmt.Errorf("UnregisterApp is only available on Windows")
}
